Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.beans.filter
Class AbleTranslateOperator

    java.lang.Object
      com.ibm.able.beans.filter.AbleTranslateOperator

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class AbleTranslateOperator
extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

See Also:
  Serialized Form

Constructor Summary
`AbleTranslateOperator()`
`AbleTranslateOperator(AbleTranslateOperator theRec)`
`AbleTranslateOperator(int theOperCode, double[] theOpData)`
`AbleTranslateOperator(int theOperCode, java.util.Hashtable theDict, java.lang.String theDefaultOutSymbol, boolean caseFlag)`

Method Summary
`java.lang.Object` | `clone()`
`double` | `executeOperator(double InValue)`
`java.lang.String` | `executeSymOperator(java.lang.String InValue)`
`boolean` | `getCaseSensitive()`
`java.lang.String` | `getDefaultOutSymbol()`
`java.util.Hashtable` | `getDict()`
`int` | `getNumItems()`
`double[]` | `getOpData()`
`int` | `getOperCode()`
`java.lang.String` | `getOperString()`
`static int` | `lookupCode(java.lang.String newCode)`
`void` | `setCaseSensitive(boolean newBool)`
`void` | `setDefaultOutSymbol(java.lang.String newString)`
`void` | `setNumItems(int newItems)`
`void` | `setOperCode(int newCode)`
`void` | `setOperCode(java.lang.String newCode)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbleTranslateOperator

    public AbleTranslateOperator()

### AbleTranslateOperator

    public AbleTranslateOperator(int theOperCode,
                                 double[] theOpData)

### AbleTranslateOperator

    public AbleTranslateOperator(int theOperCode,
                                 java.util.Hashtable theDict,
                                 java.lang.String theDefaultOutSymbol,
                                 boolean caseFlag)

### AbleTranslateOperator

    public AbleTranslateOperator(AbleTranslateOperator theRec)

Method Detail

### clone

    public java.lang.Object clone()

### lookupCode

    public static int lookupCode(java.lang.String newCode)

### getOperCode

    public int getOperCode()

### getOperString

    public java.lang.String getOperString()

### getNumItems

    public int getNumItems()

### getOpData

    public double[] getOpData()

### getDict

    public java.util.Hashtable getDict()

### getCaseSensitive

    public boolean getCaseSensitive()

### getDefaultOutSymbol

    public java.lang.String getDefaultOutSymbol()

### setOperCode

    public void setOperCode(int newCode)

### setOperCode

    public void setOperCode(java.lang.String newCode)

### setNumItems

    public void setNumItems(int newItems)

### setCaseSensitive

    public void setCaseSensitive(boolean newBool)

### setDefaultOutSymbol

    public void setDefaultOutSymbol(java.lang.String newString)

### executeOperator

    public double executeOperator(double InValue)

### executeSymOperator

    public java.lang.String executeSymOperator(java.lang.String InValue)

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005